//
//  UserInfo.h
//  ALand
//
//  Created by Z on 16/3/23.
//  Copyright © 2016年 Z. All rights reserved.
//

#import <Foundation/Foundation.h>

@class Certificate,Lastmodifyinfo,Passwordcontrol,Shop,Createinfo,Ownerorg,Logincontrol,Operator;
@interface UserInfo : NSObject

@property (nonatomic, copy) NSString *birthday;

@property (nonatomic, copy) NSString *portrait;

@property (nonatomic, strong) Ownerorg *ownerOrg;

@property (nonatomic, copy) NSString *code;

@property (nonatomic, copy) NSString *telephone;

@property (nonatomic, copy) NSString *mobilephone;

@property (nonatomic, copy) NSString *uuid;

@property (nonatomic, strong) Lastmodifyinfo *lastModifyInfo;

@property (nonatomic, copy) NSString *socialContact;

@property (nonatomic, strong) Certificate *certificate;

@property (nonatomic, assign) NSInteger version;

@property (nonatomic, copy) NSString *name;

@property (nonatomic, copy) NSString *invitationCode;

@property (nonatomic, copy) NSString *state;

@property (nonatomic, copy) NSString *domain;

@property (nonatomic, copy) NSString *idCard;

@property (nonatomic, copy) NSString *gender;

@property (nonatomic, strong) Passwordcontrol *passwordControl;

@property (nonatomic, copy) NSString *postalAddresses;

@property (nonatomic, strong) NSArray *roles;

@property (nonatomic, copy) NSString *referrer;

@property (nonatomic, strong) Shop *shop;

@property (nonatomic, strong) Createinfo *createInfo;

@property (nonatomic, assign) NSInteger order;

@property (nonatomic, strong) Logincontrol *loginControl;

@property (nonatomic, copy) NSString *adescription;

+ (UserInfo *)shareInstance;
@end

@interface Certificate : NSObject

@property (nonatomic, strong) NSArray *bankCards;

@property (nonatomic, assign) BOOL idValidated;

@property (nonatomic, copy) NSString *code;

@property (nonatomic, copy) NSString *uuid;

@property (nonatomic, copy) NSString *good;

@property (nonatomic, copy) NSString *trueName;

@property (nonatomic, copy) NSString *name;

@end

@interface Lastmodifyinfo : NSObject

@property (nonatomic, assign) long long time;

@property (nonatomic, strong) Operator *aoperator;

@end

@interface Passwordcontrol : NSObject

@property (nonatomic, assign) long long created;

@property (nonatomic, copy) NSString *ainitPassword; //initPassword

@property (nonatomic, assign) long long expiry;

@end

@interface Shop : NSObject

@property (nonatomic, copy) NSString *name;

@property (nonatomic, copy) NSString *uuid;

@property (nonatomic, copy) NSString *code;

@end

@interface Createinfo : NSObject

@property (nonatomic, strong) Operator *aoperator;

@property (nonatomic, assign) long long time;

@end

@interface Ownerorg : NSObject

@property (nonatomic, copy) NSString *name;

@property (nonatomic, copy) NSString *uuid;

@property (nonatomic, copy) NSString *code;

@end

@interface Logincontrol : NSObject

@property (nonatomic, copy) NSString *loginIp;

@property (nonatomic, assign) long long loginTime;

@property (nonatomic, assign) NSInteger failedTimes;

@end

@interface Operator : NSObject

@property (nonatomic, copy) NSString *aid;

@property (nonatomic, copy) NSString *fullName;

@end
